package com.docus.server.service.impl;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.convert.SchCollectorConfigConvert;
import com.docus.server.dto.scheduling.management.SchCollectorConfigDTO;
import com.docus.server.entity.scheduling.management.SchCollectorConfig;
import com.docus.server.infrastructure.dao.ISchCollectorConfigDao;
import com.docus.server.service.ISchCollectorConfigService;
import com.docus.server.vo.scheduling.management.SchCollectorConfigVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 采集器配置 服务实现类
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@Service
public class SchCollectorConfigServiceImpl implements ISchCollectorConfigService {
    @Resource
    private ISchCollectorConfigDao iSchCollectorConfigDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchCollectorConfigVO findById(String id) {
        return SchCollectorConfigConvert.INSTANCE.convertVO(iSchCollectorConfigDao.findById(id));
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchCollectorConfigVO> search(SearchRequest searchRequest) {
        return SchCollectorConfigConvert.INSTANCE.convertVO(iSchCollectorConfigDao.search(searchRequest));
    }

    /**
     * 新增
     *
     * @param schCollectorConfigDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(SchCollectorConfigDTO schCollectorConfigDTO) {
        SchCollectorConfig schCollectorConfig = SchCollectorConfigConvert.INSTANCE.convertDO(schCollectorConfigDTO);
        return iSchCollectorConfigDao.add(schCollectorConfig);
    }

    /**
     * 编辑
     *
     * @param schCollectorConfigDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(SchCollectorConfigDTO schCollectorConfigDTO) {
        SchCollectorConfig schCollectorConfig = SchCollectorConfigConvert.INSTANCE.convertDO(schCollectorConfigDTO);
        return iSchCollectorConfigDao.edit(schCollectorConfig);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iSchCollectorConfigDao.delete(ids);
    }
}

